
public class Parameters {
	/** debljina ploče za rezanje */
	public int sawThickness;
	/** konstanta isparavanja */
	public double ro;
	/** parametar koji određuje koliko se često izmjenjuju globalno najbolji
	mrav i najbolji u iteraciji u ostavljanju tragova */
	public int gama;
	/** najmanji dopušteni trag */
	public double minTrail;
	/** heuristička povoljnost stockova u ograničenim količinama */
	public double stockHeuristicFavorability;
	/** broj iteracija algoritma */
	public int maxIter;
	/** eksponent omjera iskorištenosti pri izračunu dobrote */
	public double fitnessExponentK;
	/** ostatak koji se smatra prihvatljivim */
	public int acceptableRemainder;
	/** vrijeme izvođenja algoritma u sekundama */
	public double maxTime; 
	/** maksimalni dopušteni broj mrava */
	public int maxAnts;
	
	
	/**
	 * Constructor koji gradi objekt i inicijalizira sve varijable. 
	 * @param sawThickness debljina rezne ploče
	 * @param ro konstanta isparavanja
	 * @param gama parametar učastalosti izmjene globalno najboljeg i najboljeg
	 * 		mrava u iteraciji pri ostavljanju tragova
	 * @param minTrail najmanji dopušteni trag
	 * @param stockHeuristicFavorability heuristička povoljnost stockova u 
	 * 		ograničenim količinama
	 * @param maxIter maksimalni broj iteracija
	 * @param fitnessExponentK eksponent omjera iskorištenosti pri izračunu dobrote
	 * @param acceptableRemainder ostatak koji se smatra prihvatljivim
	 * @param maxTime maksimalno dopušteno vrijeme izvođenja algoritma
	 * @param maxAnts maksimalni dopušten broj mrava
	 */
	public Parameters(int sawThickness, double ro, int gama, double minTrail,
			double stockHeuristicFavorability, int maxIter, double fitnessExponentK,
			int acceptableRemainder, double maxTime, int maxAnts) {
		this.sawThickness = sawThickness;
		this.ro = ro;
		this.gama = gama;
		this.minTrail = minTrail;
		this.stockHeuristicFavorability = stockHeuristicFavorability;
		this.maxIter = maxIter;
		this.fitnessExponentK = fitnessExponentK;
		this.acceptableRemainder = acceptableRemainder;
		this.maxTime = maxTime;
		this.maxAnts = maxAnts;
	}
	
	
}
